<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>jetty-project</artifactId>
    <groupId>org.eclipse.jetty</groupId>
    <version>9.4.41.v20210516</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>jetty-home</artifactId>
  <name>Jetty :: Home Assembly</name>
  <packaging>pom</packaging>

  <properties>
    <assembly-directory>${basedir}/target/jetty-home</assembly-directory>
    <source-assembly-directory>${basedir}/target/jetty-home-sources</source-assembly-directory>
    <jetty-setuid-version>1.0.4</jetty-setuid-version>
    <spotbugs.skip>true</spotbugs.skip>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-resources-plugin</artifactId>
        <executions>
          <execution>
            <id>copy-base-assembly-tree</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-resources</goal>
            </goals>
            <configuration>
              <useBuildFilters>false</useBuildFilters>
              <includeEmptyDirs>true</includeEmptyDirs>
              <outputDirectory>${assembly-directory}</outputDirectory>
              <resources>
                <resource>
                  <directory>${basedir}/src/main/resources</directory>
                </resource>
              </resources>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-remote-resources-plugin</artifactId>
        <executions>
          <execution>
            <phase>generate-resources</phase>
            <goals>
              <goal>process</goal>
            </goals>
            <configuration>
              <resourceBundles>
                <resourceBundle>org.eclipse.jetty.toolchain:jetty-distribution-remote-resources:1.2
                </resourceBundle>
              </resourceBundles>
              <outputDirectory>${assembly-directory}</outputDirectory>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <id>copy</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>org.eclipse.jetty</groupId>
                  <artifactId>jetty-project</artifactId>
                  <version>${project.version}</version>
                  <classifier>version</classifier>
                  <type>txt</type>
                  <overWrite>true</overWrite>
                  <outputDirectory>${assembly-directory}/</outputDirectory>
                  <destFileName>VERSION.txt</destFileName>
                </artifactItem>
                <artifactItem>
                  <groupId>org.eclipse.jetty</groupId>
                  <artifactId>jetty-start</artifactId>
                  <version>${project.version}</version>
                  <classifier>shaded</classifier>
                  <type>jar</type>
                  <overWrite>true</overWrite>
                  <includes>**</includes>
                  <outputDirectory>${assembly-directory}</outputDirectory>
                  <destFileName>start.jar</destFileName>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>copy-setuid-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>org.eclipse.jetty.toolchain.setuid</groupId>
                  <artifactId>jetty-setuid-java</artifactId>
                  <version>${jetty-setuid-version}</version>
                  <type>jar</type>
                  <overWrite>true</overWrite>
                  <outputDirectory>${assembly-directory}/lib/setuid</outputDirectory>
                </artifactItem>
                <artifactItem>
                  <groupId>org.eclipse.jetty.toolchain.setuid</groupId>
                  <artifactId>libsetuid-linux</artifactId>
                  <version>${jetty-setuid-version}</version>
                  <type>so</type>
                  <overWrite>true</overWrite>
                  <outputDirectory>${assembly-directory}/lib/setuid</outputDirectory>
                  <destFileName>libsetuid-linux.so</destFileName>
                </artifactItem>
                <artifactItem>
                  <groupId>org.eclipse.jetty.toolchain.setuid</groupId>
                  <artifactId>libsetuid-osx</artifactId>
                  <version>${jetty-setuid-version}</version>
                  <type>so</type>
                  <overWrite>true</overWrite>
                  <outputDirectory>${assembly-directory}/lib/setuid</outputDirectory>
                  <destFileName>libsetuid-osx.so</destFileName>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>

          <execution>
            <id>copy-lib-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty</includeGroupIds>
              <excludeGroupIds>
                org.eclipse.jetty.orbit,org.eclipse.jetty.http2,org.eclipse.jetty.websocket,org.eclipse.jetty.fcgi,org.eclipse.jetty.toolchain,org.apache.taglibs
              </excludeGroupIds>
              <excludeArtifactIds>
                jetty-all,apache-jsp,apache-jstl,jetty-start,jetty-spring
              </excludeArtifactIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty</includeGroupIds>
              <excludeGroupIds>
                org.eclipse.jetty.orbit,org.eclipse.jetty.http2,org.eclipse.jetty.websocket,org.eclipse.jetty.fcgi,org.eclipse.jetty.toolchain,org.apache.taglibs
              </excludeGroupIds>
              <excludeArtifactIds>
                jetty-all,apache-jsp,apache-jstl,jetty-start,jetty-spring
              </excludeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-websocket-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>javax.websocket,org.eclipse.jetty.websocket</includeGroupIds>
              <excludeArtifactIds>javax.websocket-client-api</excludeArtifactIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/websocket</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-websocket-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>javax.websocket,org.eclipse.jetty.websocket</includeGroupIds>
              <excludeArtifactIds>javax.websocket-client-api</excludeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/websocket</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-http2-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty.http2</includeGroupIds>
              <includeArtifactIds>http2-hpack,http2-common,http2-server</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/http2</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-http2-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty.http2</includeGroupIds>
              <includeArtifactIds>http2-hpack,http2-common,http2-server</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/http2</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-fcgi-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty.fcgi</includeGroupIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/fcgi</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-fcgi-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty.fcgi</includeGroupIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/fcgi</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-spring-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty</includeGroupIds>
              <includeArtifactIds>jetty-spring</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/spring</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-lib-spring-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty</includeGroupIds>
              <includeArtifactIds>jetty-spring</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/spring</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-servlet-api-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>javax.servlet</groupId>
                  <artifactId>javax.servlet-api</artifactId>
                  <version>3.1.0</version>
                  <overWrite>true</overWrite>
                  <outputDirectory>${assembly-directory}/lib</outputDirectory>
                  <destFileName>servlet-api-3.1.jar</destFileName>
                </artifactItem>
                <artifactItem>
                  <groupId>org.eclipse.jetty.toolchain</groupId>
                  <artifactId>jetty-schemas</artifactId>
                  <version>3.1.M0</version>
                  <overWrite>true</overWrite>
                  <outputDirectory>${assembly-directory}/lib</outputDirectory>
                  <destFileName>jetty-schemas-3.1.jar</destFileName>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
          <execution>
            <id>copy-servlet-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>javax.servlet</includeGroupIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/servlet-api</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-annotations-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>javax.annotation,org.eclipse.jetty.orbit,org.ow2.asm</includeGroupIds>
              <includeArtifactIds>javax.annotation-api,asm,asm-commons,asm-tree,asm-analysis</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/annotations</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-annotations-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>javax.annotation,org.eclipse.jetty.orbit,org.ow2.asm</includeGroupIds>
              <includeArtifactIds>javax.annotation-api,asm,asm-commons,asm-tree,asm-analysis</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/annotations</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-apache-jsp-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>
                org.eclipse.jetty,org.eclipse.jetty.toolchain,org.mortbay.jasper,org.eclipse.jdt
              </includeGroupIds>
              <includeArtifactIds>apache-jsp,apache-el,ecj</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <prependGroupId>true</prependGroupId>
              <outputDirectory>${assembly-directory}/lib/apache-jsp</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-apache-jsp-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>
                org.eclipse.jetty,org.eclipse.jetty.toolchain,org.mortbay.jasper,org.eclipse.jdt
              </includeGroupIds>
              <includeArtifactIds>apache-jsp,apache-el,ecj</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <prependGroupId>true</prependGroupId>
              <outputDirectory>${source-assembly-directory}/lib/apache-jsp</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-apache-jstl-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <excludeGroupIds>org.glassfish.web</excludeGroupIds>
              <includeArtifactIds>taglibs-standard-spec,taglibs-standard-impl</includeArtifactIds>
              <prependGroupId>true</prependGroupId>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/apache-jstl</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-apache-jstl-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <excludeGroupIds>org.glassfish.web</excludeGroupIds>
              <includeArtifactIds>taglibs-standard-spec,taglibs-standard-impl</includeArtifactIds>
              <prependGroupId>true</prependGroupId>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/apache-jstl</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-jaspi-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty.orbit</includeGroupIds>
              <includeArtifactIds>javax.security.auth.message</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <outputDirectory>${assembly-directory}/lib/jaspi</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>copy-jaspi-src-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty.orbit</includeGroupIds>
              <includeArtifactIds>javax.security.auth.message</includeArtifactIds>
              <includeTypes>jar</includeTypes>
              <classifier>sources</classifier>
              <outputDirectory>${source-assembly-directory}/lib/jaspi</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>unpack-config-deps</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>unpack-dependencies</goal>
            </goals>
            <configuration>
              <includeGroupIds>org.eclipse.jetty,org.eclipse.jetty.websocket</includeGroupIds>
              <excludeArtifactIds>infinispan-embedded,infinispan-remote,jetty-test-helper,alpn-api,javax.security.auth.message,javax.activation</excludeArtifactIds>
              <classifier>config</classifier>
              <failOnMissingClassifierArtifact>false</failOnMissingClassifierArtifact>
              <excludes>META-INF/**</excludes>
              <outputDirectory>${assembly-directory}</outputDirectory>
            </configuration>
          </execution>
          <execution>
            <id>unpack-infinispan-config</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>unpack</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>org.eclipse.jetty</groupId>
                  <artifactId>infinispan-embedded</artifactId>
                  <version>${project.version}</version>
                  <classifier>config</classifier>
                  <type>jar</type>
                </artifactItem>
                <artifactItem>
                  <groupId>org.eclipse.jetty</groupId>
                  <artifactId>infinispan-remote</artifactId>
                  <version>${project.version}</version>
                  <classifier>config</classifier>
                  <type>jar</type>
                </artifactItem>
              </artifactItems>
              <failOnMissingClassifierArtifact>true</failOnMissingClassifierArtifact>
              <excludes>META-INF/**</excludes>
              <outputDirectory>${assembly-directory}</outputDirectory>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
        <executions>
          <execution>
            <id>set jetty.sh</id>
            <phase>process-resources</phase>
            <goals>
              <goal>run</goal>
            </goals>
            <configuration>
              <target>
                <chmod dir="${assembly-directory}/bin" perm="755" includes="**/*.sh" />
              </target>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-assembly-plugin</artifactId>
        <configuration>
          <tarLongFileMode>posix</tarLongFileMode>
          <appendAssemblyId>false</appendAssemblyId>
        </configuration>
        <executions>
          <execution>
            <id>binary</id>
            <phase>package</phase>
            <goals>
              <goal>single</goal>
            </goals>
            <configuration>
              <descriptors>
                <descriptor>src/main/assembly/jetty-assembly.xml</descriptor>
              </descriptors>
            </configuration>
          </execution>
          <execution>
            <id>sources</id>
            <phase>package</phase>
            <goals>
              <goal>single</goal>
            </goals>
            <configuration>
              <descriptors>
                <descriptor>src/main/assembly/jetty-source-assembly.xml</descriptor>
              </descriptors>
              <appendAssemblyId>true</appendAssemblyId>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <dependencies>
    <!-- Orbit Deps -->
    <dependency>
      <groupId>org.eclipse.jetty.orbit</groupId>
      <artifactId>javax.mail.glassfish</artifactId>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.orbit</groupId>
      <artifactId>javax.security.auth.message</artifactId>
    </dependency>

    <dependency>
      <groupId>javax.annotation</groupId>
      <artifactId>javax.annotation-api</artifactId>
    </dependency>
    <dependency>
      <groupId>javax.transaction</groupId>
      <artifactId>javax.transaction-api</artifactId>
    </dependency>

    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm</artifactId>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-commons</artifactId>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-tree</artifactId>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-analysis</artifactId>
    </dependency>

    <!-- jetty deps -->
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-deploy</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-jmx</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-quickstart</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-start</artifactId>
      <version>${project.version}</version>
      <classifier>shaded</classifier>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-servlets</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.websocket</groupId>
      <artifactId>websocket-servlet</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.websocket</groupId>
      <artifactId>websocket-server</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.websocket</groupId>
      <artifactId>javax-websocket-server-impl</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>apache-jsp</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>apache-jstl</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-plus</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-client</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-continuation</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-proxy</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-unixsocket</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.fcgi</groupId>
      <artifactId>fcgi-server</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-spring</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.jboss.logging</groupId>
      <artifactId>jboss-logging</artifactId>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-cdi</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-jaas</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-annotations</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-rewrite</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.http2</groupId>
      <artifactId>http2-server</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-alpn-server</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-alpn-openjdk8-server</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-openid</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-alpn-conscrypt-server</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-jaspi</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>infinispan-embedded</artifactId>
      <version>${project.version}</version>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>infinispan-embedded-query</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>infinispan-remote</artifactId>
      <version>${project.version}</version>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>infinispan-remote-query</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-hazelcast</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.gcloud</groupId>
      <artifactId>jetty-gcloud-session-manager</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.memcached</groupId>
      <artifactId>jetty-memcached-sessions</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty</groupId>
      <artifactId>jetty-nosql</artifactId>
      <version>${project.version}</version>
    </dependency>
  </dependencies>

  <profiles>
    <profile>
      <id>jdk9</id>
      <activation>
        <jdk>[9,)</jdk>
      </activation>
      <dependencies>
        <dependency>
          <groupId>org.eclipse.jetty</groupId>
          <artifactId>jetty-alpn-java-server</artifactId>
          <version>${project.version}</version>
        </dependency>
      </dependencies>
    </profile>
  </profiles>

</project>
